<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: cookies_accepted.php
| Version: 1.00
| Author: Fangree Productions
| Developer: Fangree_Craig
| Site: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."cookie_control/locale/".$settings['locale'].".php")) {
include INFUSIONS."cookie_control/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."cookie_control/locale/English.php";
}

include INFUSIONS."cookie_control/infusion_db.php";

$cookie_control_settings = dbarray(dbquery("SELECT * FROM ".DB_COOKIE_SETTINGS));

if ($cookie_control_settings['cc_enable'] !== "1") { redirect(BASEDIR."index.php"); }

add_to_title($locale['global_200'].$locale['ecdp_058']);

		if (!isset($_COOKIE['cookie_control'])) {
		$ref = isset($_SERVER['HTTP_REFERER']) ? stripinput($_SERVER['HTTP_REFERER']) : "";
		if($ref) {
		header( 'refresh: 4; url='.$ref);
		}else{ 
		redirect($settings['opening_page']); 
		}
		}

		if (isset($_COOKIE['cookie_control'])) {redirect($settings['opening_page']); }

		opentable($locale['ecdp_058']);
		
		add_to_footer("<script type = 'text/javascript'>
				/*author Philip M. 2010*/
			var timeInSecs;
				   var ticker;
					 function startTimer(secs){
					   timeInSecs = parseInt(secs)-1;
						 ticker = setInterval('tick()',1000);   // every second
					}
				   function tick() {
					 var secs = timeInSecs;
					  if (secs>0) {
						timeInSecs--;
					}else {
				 clearInterval(ticker); // stop counting at zero
			// startTimer(60);  // remove forward slashes in front of startTimer to repeat if required
		   }
		   document.getElementById('countdown').innerHTML = secs;
		  }
		  startTimer(5);  // 60 seconds 
	    </script>");

		echo "<div style='text-align: center;'>".$locale['ecdp_059']." <span id='countdown' style='font-weight: bold; color: #ff0000;'>5</span> ".$locale['ecdp_060']."</div>\n";

		closetable();

require_once THEMES."templates/footer.php";
?>