<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: cookie_control_admin.php
| Version: 1.00
| Author: Fangree Productions
| Developer: Fangree_Craig
| Site: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

if (!checkrights("CCP") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."cookie_control/locale/".$settings['locale'].".php")) {
		include INFUSIONS."cookie_control/locale/".$settings['locale'].".php";
	} else {
		include INFUSIONS."cookie_control/locale/English.php";
	}
	
	include INFUSIONS."cookie_control/infusion_db.php";
	
add_to_title($locale['global_200'].$locale['ecdp_001']);

global $settings;

if (isset($_GET['statusb']) && !isset($messageb)) {
	if ($_GET['statusb'] == "su") {
	$messageb = $locale['ecdp_041'];
	} elseif ($_GET['statusb'] == "nsu") {
	$messageb = $locale['ecdp_041b'];
	}
	if ($messageb) {	echo "<div id='close-message'><div class='admin-message'>".$messageb."</div></div>\n"; }
	}

	if (isset($_POST['save'])) {
	$result = dbquery("UPDATE ".DB_COOKIE_SETTINGS." SET  
	cc_enable='".(isNum($_POST['cc_enable']) ? $_POST['cc_enable'] : "0")."', 
	cc_text='".addslash($_POST['cc_text'])."', 
	cc_time='".addslash($_POST['cc_time'])."',
	cc_position='".(isNum($_POST['cc_position']) ? $_POST['cc_position'] : "0")."',
	cc_bgcolour='".addslashes($_POST['cc_bgcolour'])."',
	cc_border='".addslashes($_POST['cc_border'])."',
	cc_accept='".addslashes($_POST['cc_accept'])."',
	cc_accept_hover='".addslashes($_POST['cc_accept_hover'])."',
	cc_accept_border='".addslashes($_POST['cc_accept_border'])."',
	cc_accept_border_hover='".addslashes($_POST['cc_accept_border_hover'])."',
	cc_accept_text='".addslashes($_POST['cc_accept_text'])."',
	cc_accept_text_hover='".addslashes($_POST['cc_accept_text_hover'])."'
	");	
	
	if (!$result) { 
	redirect(FUSION_SELF.$aidlink."&statusb=nsu");
	} else {
	redirect(FUSION_SELF.$aidlink."&statusb=su");
	}
	}
	
	$cookie_control_settings = dbarray(dbquery("SELECT * FROM ".DB_COOKIE_SETTINGS));
	$cc_enable = isNum(stripinput($cookie_control_settings['cc_enable']));
	$cc_text = stripinput($cookie_control_settings['cc_text']);
    $cc_time = stripinput($cookie_control_settings['cc_time']);
	$cc_position = isNum(stripinput($cookie_control_settings['cc_position']));
	$cc_bgcolour = stripinput($cookie_control_settings['cc_bgcolour']);
	$cc_border = stripinput($cookie_control_settings['cc_border']);
	$cc_accept = stripinput($cookie_control_settings['cc_accept']);
	$cc_accept_hover = stripinput($cookie_control_settings['cc_accept_hover']);
	$cc_accept_border = stripinput($cookie_control_settings['cc_accept_border']);
	$cc_accept_border_hover = stripinput($cookie_control_settings['cc_accept_border_hover']);
	$cc_accept_text = stripinput($cookie_control_settings['cc_accept_text']);
	$cc_accept_text_hover = stripinput($cookie_control_settings['cc_accept_text_hover']);
    $forma_title = $locale['ecdp_034'];
	
	add_to_head("<script type='text/javascript' src='".INFUSIONS."cookie_control/includes/jscolor/jscolor.js'></script>");

    opentable($forma_title);
    echo "<form name='cookie_settings_form' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this);'>\n";
    echo "<table cellpadding='0' cellspacing='0' width='95%'  class='tbl-border center' >\n<tr>\n";
	echo "<td  class='tbl' width='50%' align='left'>".$locale['ecdp_035'].":</td>\n";
	echo "<td  align='left' class='tbl'><select name='cc_enable' class='textbox'>\n";
	echo "<option value='1'".($cookie_control_settings['cc_enable'] == "1" ? " selected='selected'" : "").">".$locale['ecdp_039']."</option>\n";
	echo "<option value='0'".($cookie_control_settings['cc_enable'] == "0" ? " selected='selected'" : "").">".$locale['ecdp_040']."</option>\n";
	echo "</select></td></tr><tr>\n";
	echo "<td style='vertical-align: top;' class='tbl'>".$locale['ecdp_036'].":</td>\n";
	echo "<td class='tbl'><textarea name='cc_text' cols='60' rows='5'  class='textbox' style='width:400px;'>$cc_text</textarea><br />\n";
    echo display_bbcodes("400px;", "cc_text", "cookie_settings_form", "color|b|i|u|small|url")."\n";
    echo "</td>\n</tr>\n<tr>\n";
	echo" <td  class='tbl'>".$locale['ecdp_037']."</td>";
	echo" <td  class='tbl'><input class=' textbox' maxlength='9' name='cc_time' value='".$cc_time."' style='width: 80px;'/> </td></tr>\n";
	echo "<tr><td  class='tbl' width='50%' align='left'>".$locale['ecdp_049'].":</td>\n";
	echo "<td  align='left' class='tbl'><select name='cc_position' class='textbox'>\n";
	echo "<option value='1'".($cookie_control_settings['cc_position'] == "1" ? " selected='selected'" : "").">".$locale['ecdp_047']."</option>\n";
	echo "<option value='0'".($cookie_control_settings['cc_position'] == "0" ? " selected='selected'" : "").">".$locale['ecdp_048']."</option>\n";
	echo "</select></td></tr>\n";
	echo" <tr><td  width='50%' class='tbl'>".$locale['ecdp_050'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='cc_bgcolour' value='".$cc_bgcolour."'/></td>\n";
	echo "</tr>\n";
	echo" <tr><td  width='50%' class='tbl'>".$locale['ecdp_057'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='cc_border' value='".$cc_border."'/></td>\n";
	echo "</tr>\n";
	echo" <tr><td  width='50%' class='tbl'>".$locale['ecdp_051'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='cc_accept' value='".$cc_accept."'/></td>\n";
	echo "</tr>\n";
	echo" <tr><td  width='50%' class='tbl'>".$locale['ecdp_052'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='cc_accept_hover' value='".$cc_accept_hover."'/></td>\n";
	echo "</tr>\n";
	echo" <tr><td  width='50%' class='tbl'>".$locale['ecdp_053'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='cc_accept_border' value='".$cc_accept_border."'/></td>\n";
	echo "</tr>\n";
	echo" <tr><td  width='50%' class='tbl'>".$locale['ecdp_054'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='cc_accept_border_hover' value='".$cc_accept_border_hover."'/></td>\n";
	echo "</tr>\n";
	echo" <tr><td  width='50%' class='tbl'>".$locale['ecdp_055'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='cc_accept_text' value='".$cc_accept_text."'/></td>\n";
	echo "</tr>\n";
	echo" <tr><td  width='50%' class='tbl'>".$locale['ecdp_056'].":</td>";
	echo" <td  align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='cc_accept_text_hover' value='".$cc_accept_text_hover."'/></td>\n";
	echo "</tr>\n";
	echo"</table>\n";
    echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'><br />\n";
	echo "<input type='submit' class='button' name='save' value='".$locale['ecdp_016']."' />\n";
	echo "</td></tr>\n";
	echo "</table>\n";
    echo "</form>\n";
    closetable();
			add_to_footer("<script type='text/javascript'>
function ValidateForm(frm) {
	
	if(frm.cc_text.value=='') {
		alert('".$locale['ecdp_044']."');
		return false;
	}	
	
	if(frm.cc_time.value=='') {
		alert('".$locale['ecdp_045']."');
		return false;
	}	
	
	
	
	if(isNaN(frm.cc_time.value)) {
		alert('".$locale['ecdp_046']."');
		return false;
	}
	
}
</script>");
	
if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "del") {
		$message = "<strong>".$locale['ecdp_004']."</strong>";
	} elseif ($_GET['status'] == "go") {
		$message = "<strong>".$locale['ecdp_031']."</strong>";
	} elseif ($_GET['status'] == "edit") {
		$message = "<strong>".$locale['ecdp_032']."</strong>";
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

$cookie_cookie ="";
$cookie_usage ="";
$cookie_desc ="";

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['cookie_id']) && isnum($_GET['cookie_id']))) {
	$result = dbquery("DELETE FROM ".DB_COOKIE_CONTROL." WHERE cookie_id='".$_GET['cookie_id']."'");
	redirect(FUSION_SELF.$aidlink."&status=del");
    } else {
	if (isset($_POST['go'])) {
		$cookie_cookie = stripinput($_POST['cookie_cookie']);
		$cookie_usage = isNum($_POST['cookie_usage']) ? $_POST['cookie_usage'] : "0";
		$cookie_desc = stripinput($_POST['cookie_desc']);
	
		}
		
		if ($cookie_cookie || $cookie_desc) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cookie_id']) && isnum($_GET['cookie_id']))) {
				$result = dbquery("UPDATE ".DB_COOKIE_CONTROL." SET cookie_cookie='$cookie_cookie', cookie_usage='$cookie_usage', cookie_desc='$cookie_desc' WHERE cookie_id='".$_GET['cookie_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=edit");
			} else {
				$result = dbquery("INSERT INTO ".DB_COOKIE_CONTROL." (cookie_cookie, cookie_usage, cookie_desc) VALUES ('$cookie_cookie', '$cookie_usage', '$cookie_desc')");
				redirect(FUSION_SELF.$aidlink."&status=go");
			}
				redirect(FUSION_SELF.$aidlink);
		}
	
	}
	
	
if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cookie_id']) && isnum($_GET['cookie_id']))) {
	
		$result = dbquery("SELECT * FROM ".DB_COOKIE_CONTROL." WHERE cookie_id='".$_GET['cookie_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$cookie_cookie = $data['cookie_cookie'];
			$cookie_usage = $data['cookie_usage'];
			$cookie_desc = $data['cookie_desc'];
			$form_title = $locale['ecdp_033'];
			$form_action = FUSION_SELF.$aidlink."&amp;action=edit&amp;cookie_id=".$data['cookie_id'];
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
		} else {
			$cookie_cookie = "";
			$cookie_usage = "";
			$cookie_desc = "";
			$form_title = $locale['ecdp_033'];
			$form_action = FUSION_SELF.$aidlink;
		}
	
	
	 opentable($form_title);
	 echo "<form name='cookie_control_form' method='post' action='$form_action'>\n";
	 echo "<table cellpadding='0' cellspacing='0' width='95%'  class='tbl-border center' >\n<tr>\n";
	 echo "<td class='tbl' width='50%'>".$locale['ecdp_005'].":</td>\n";
	 echo "<td class='tbl'><input type='text' name='cookie_cookie' value='".$cookie_cookie."' class='textbox' style='width:150px' /></td>\n";
	 echo "</tr>\n<tr>\n";
	 echo "<td class='tbl'>".$locale['ecdp_006'].":</td>\n";
	 echo "<td  align='left' class='tbl'><select name='cookie_usage' class='textbox'>\n";
	 echo "<option value='0'".($cookie_usage == "0" ? " selected='selected'" : "").">".$locale['ecdp_007']."</option>\n";
	 echo "<option value='1'".($cookie_usage == "1" ? " selected='selected'" : "").">".$locale['ecdp_008']."</option>\n";
	 echo "<option value='2'".($cookie_usage == "2" ? " selected='selected'" : "").">".$locale['ecdp_009']."</option>\n";
	 echo "<option value='3'".($cookie_usage == "3" ? " selected='selected'" : "").">".$locale['ecdp_010']."</option>\n";
	 echo "<option value='4'".($cookie_usage == "4" ? " selected='selected'" : "").">".$locale['ecdp_011']."</option>\n";
	 echo "<option value='5'".($cookie_usage == "5" ? " selected='selected'" : "").">".$locale['ecdp_012']."</option>\n";
	 echo "<option value='6'".($cookie_usage == "6" ? " selected='selected'" : "").">".$locale['ecdp_013']."</option>\n";
	 echo "<option value='7'".($cookie_usage == "7" ? " selected='selected'" : "").">".$locale['ecdp_014']."</option>\n";
	 echo "</select></td></tr><tr>\n";
	 echo "<td style='vertical-align: top;' class='tbl'>".$locale['ecdp_015'].":</td>\n";
	 echo "<td class='tbl'><textarea name='cookie_desc' cols='60' rows='5'  class='textbox' style='width:400px;'>$cookie_desc</textarea><br />\n";
     echo display_bbcodes("400px;", "cookie_desc", "cookie_control_form", "color|b|i|u|small|url")."\n";
     echo "</td>\n</tr>\n<tr>\n";
	 echo "<td align='center' colspan='2' class='tbl'><br />\n";
	 echo "<input type='submit' name='go' value='".$locale['ecdp_016b']."' class='button' /></td>\n";
	 echo "</tr>\n</table>\n</form>\n";
	 closetable();

    $formb_title = $locale['ecdp_026'];
	
    opentable($formb_title);

	$i = 0;
	$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");

	echo "<table cellpadding='0' cellspacing='1' width='80%' class='tbl-border center'>\n<tr>\n";
	echo "<td class='tbl2'><strong>".$locale['ecdp_005']."</strong></td>\n";
	echo "<td class='tbl2'><strong>".$locale['ecdp_015']."</strong></td>\n";
	echo "<td class='tbl2' width='20%'><strong>".$locale['ecdp_006']."</strong></td>\n";
	echo "<td align='center'  class='tbl2' style='white-space:nowrap'><strong>".$locale['ecdp_017']."</strong></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='$row_color' style='color: #157707;'>".COOKIE_PREFIX.'visited';
	echo "</td>";
	echo "<td class='$row_color'>".$locale['ecdp_019']."</td>\n";
	echo "<td class='$row_color'>PHP-Fusion</td>\n";
	echo "<td class='$row_color' style='text-align:center;'>[".$locale['ecdp_018']."]</td>\n";
	echo "</tr><tr><td class='$row_color' style='color: #157707;'>".COOKIE_PREFIX.'lastvisit';
	echo "</td>";
	echo "<td class='$row_color'>".$locale['ecdp_020']."</td>\n";
	echo "<td class='$row_color'>PHP-Fusion</td>\n";
	echo "<td class='$row_color'  style='text-align:center;'>[".$locale['ecdp_018']."]</td>\n";
	echo "</tr><tr><td class='$row_color' style='color: #157707;'>".COOKIE_PREFIX.'user';
	echo "</td>";
	echo "<td class='$row_color'>".$locale['ecdp_021']."</td>\n";
	echo "<td class='$row_color'>PHP-Fusion</td>\n";
	echo "<td class='$row_color'  style='text-align:center;'>[".$locale['ecdp_018']."]</td>\n";
	echo "</tr><tr><td class='$row_color' style='color: #157707;'>cookie_control";
	echo "</td>";
	echo "<td class='$row_color'>".$locale['ecdp_043']."</td>\n";
	echo "<td class='$row_color'>".$locale['ecdp_008']."</td>\n";
	echo "<td class='$row_color'  style='text-align:center;'>[".$locale['ecdp_018']."]</td>\n";
	echo "</tr><tr>\n";

	$rows = dbcount("(cookie_id)", DB_COOKIE_CONTROL);

	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

	if ($rows != 0) {

	$result = dbquery("SELECT * FROM ".DB_COOKIE_CONTROL." ORDER BY cookie_id DESC LIMIT ".$_GET['rowstart'].",20");

	while ($data = dbarray($result)) {
   $desc = nl2br(parseubb($data['cookie_desc'], "color|b|i|u|small|url"));
	echo "<tr>\n";
	echo "<td class='$row_color' style='color: #157707;'>".$data['cookie_cookie'];
	echo"</td>";
	echo "<td class='$row_color'>".$desc."</td>\n";
	echo "<td class='$row_color'>";
	if ($data['cookie_usage'] == 1) { echo $locale['ecdp_008'];}
	elseif ($data['cookie_usage'] == 2) { echo $locale['ecdp_009']; }
	elseif ($data['cookie_usage'] == 3) { echo $locale['ecdp_010']; }
	elseif ($data['cookie_usage'] == 4) { echo $locale['ecdp_011']; }
	elseif ($data['cookie_usage'] == 5) { echo $locale['ecdp_012']; }
	elseif ($data['cookie_usage'] == 6) { echo $locale['ecdp_013']; }
	elseif ($data['cookie_usage'] == 7) { echo $locale['ecdp_014']; }
	else{ echo $locale['ecdp_007']; }
	echo"</td>\n";
	echo "<td align='center'  class='$row_color' style='text-align: center; white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;cookie_id=".$data['cookie_id']."'>".$locale['ecdp_017b']."</a> -\n";
	echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;cookie_id=".$data['cookie_id']."'>".$locale['ecdp_017c']."</a></td>\n";
	echo "</tr>\n";
	}
	echo "</table>\n";
	} else {
	echo "</table>\n";
	}
	
	if (($rows) > 20) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],20,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n"; }


	 // Please do not remove copyright info
 include INFUSIONS."cookie_control/includes/copyright_func.php";
 echo showccocopyright();
// End copyright info
	
	closetable();


	
require_once THEMES."templates/footer.php";
?>