<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones,  Fangree Productions
| Developers: Fangree_Craig
| Support: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."cookie_control/infusion_db.php";
if (file_exists(INFUSIONS."cookie_control/locale/".$settings['locale'].".php")) {
		include INFUSIONS."cookie_control/locale/".$settings['locale'].".php";
	} else {
		include INFUSIONS."cookie_control/locale/English.php";
	}


// Infusion general information
$inf_title = $locale['ecdp_001'];
$inf_description = $locale['ecdp_002'];
$inf_version = "1.00";
$inf_developer = "Fangree Productions ";
$inf_email = "admin@fangree.com";
$inf_weburl = "http://www.fangree.com";

$inf_folder = "cookie_control";

$inf_newtable[1] = DB_COOKIE_CONTROL." (
cookie_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
cookie_cookie VARCHAR(45) NOT NULL DEFAULT '',
cookie_usage VARCHAR(45) NOT NULL DEFAULT '',
cookie_desc TEXT NOT NULL,
PRIMARY KEY (cookie_id)
) ENGINE=MyISAM;";

$inf_newtable[2] = DB_COOKIE_SETTINGS." (
cc_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
cc_text TEXT NOT NULL,
cc_time VARCHAR(9) NOT NULL DEFAULT '',
cc_position TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
cc_bgcolour VARCHAR(6) NOT NULL DEFAULT '',
cc_border VARCHAR(6) NOT NULL DEFAULT '',
cc_accept VARCHAR(6) NOT NULL DEFAULT '',
cc_accept_hover VARCHAR(6) NOT NULL DEFAULT '',
cc_accept_border VARCHAR(6) NOT NULL DEFAULT '',
cc_accept_border_hover VARCHAR(6) NOT NULL DEFAULT '',
cc_accept_text VARCHAR(6) NOT NULL DEFAULT '',
cc_accept_text_hover VARCHAR(6) NOT NULL DEFAULT '',
PRIMARY KEY (cc_enable)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_COOKIE_CONTROL." (cookie_id, cookie_cookie, cookie_usage, cookie_desc)";

$inf_insertdbrow[2] = DB_COOKIE_SETTINGS." (cc_enable,  cc_text,  cc_time, cc_position, cc_bgcolour, cc_border, cc_accept, cc_accept_hover, cc_accept_border, cc_accept_border_hover, cc_accept_text, cc_accept_text_hover) VALUES ('1', '".$locale['ecdp_038']."', '31536000', '1', '999999', 'DDDDDD', 'A3A3A3', 'A9A9A9', 'B7B5B5', 'C9C9C9', 'FFFFFF', 'FFFFFF')";

$inf_droptable[1] = DB_COOKIE_CONTROL;

$inf_droptable[2] = DB_COOKIE_SETTINGS;

$inf_adminpanel[1] = array(
	"title" => $locale['ecdp_001'],
	"image" => "",
	"panel" => "cookie_control_admin.php",
	"rights" => "CCP"
);


?>